from __future__ import print_function
import unittest
from UnitTests import BaseFileNameParser_Test
from UnitTests import LogConfig_Test
from UnitTests import ConfigParser_Test
from UnitTests import InfoServiceThread_Test

suite =  unittest.TestSuite()
loader = unittest.TestLoader()

suite.addTests(loader.loadTestsFromModule(BaseFileNameParser_Test))
suite.addTests(loader.loadTestsFromModule(LogConfig_Test))
suite.addTests(loader.loadTestsFromModule(ConfigParser_Test))
suite.addTests(loader.loadTestsFromModule(InfoServiceThread_Test))

runner = unittest.TextTestRunner(verbosity=3)
print("\n==============================================================")
print("Running Unit Tests:")
print("==============================================================\n")
result = runner.run(suite)