from __future__ import print_function
from future import standard_library
standard_library.install_aliases()
import sys
from os.path import dirname, abspath, join

# add CastorScript/Script to path so import works
SCRIPT_DIR = abspath(join(dirname(__file__), 'Script'))
sys.path.append(SCRIPT_DIR)

# import used tools from castorscript
import cs.Tools.LogConfig as LogConfig
import cs.Tools.ConfigParser as ConfigParser

if len(sys.argv) >= 3:
    try:
        config = ConfigParser.ConfigHolder(sys.argv[1])
        app_name = LogConfig.make_tdaq_app_name(config)
        is_data_identifier = LogConfig.make_is_data_identifier(sys.argv[2], app_name)
        print(is_data_identifier)
    except Exception as ex:
        print('Configuration file parsing failed because:', ex)
        sys.exit(1)
